program Transport;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var
  tests, test, n, i, v, l: integer;
  x, t: integer;
  res: real;
  f1: text;

begin
Assign(f1, 'TRANSPORT.IN');
reset(f1);
readln(f1, tests);
for test := 1 to tests do begin
  readln(f1, n, v, l);
  res := (l / v) * 60;
  for i := 1 to n-1 do begin
    read(f1, x, t);
    res := res + t;
  end;
   for i := n to n do begin
    readln(f1, x, t);
    res := res + t;
  end;

  writeln(res : 0 : 2);
end;




end.
